Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.bruteforce
Class BruteForceEntityWalker

    java.lang.Object
      org.drools.planner.core.bruteforce.BruteForceEntityWalker

All Implemented Interfaces:
  EventListener, BruteForceSolverPhaseLifecycleListener

    public class BruteForceEntityWalker

extends Object
implements BruteForceSolverPhaseLifecycleListener

Constructor Summary
`BruteForceEntityWalker(SolutionDescriptor solutionDescriptor)`

Method Summary
`boolean` | `hasWalk()`
`void` | `phaseEnded(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)`
`void` | `phaseStarted(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)`
`void` | `stepTaken(BruteForceStepScope bruteForceStepScope)`
`void` | `walk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BruteForceEntityWalker

    public BruteForceEntityWalker(SolutionDescriptor solutionDescriptor)

Method Detail

### phaseStarted

    public void phaseStarted(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `BruteForceSolverPhaseLifecycleListener`

### hasWalk

    public boolean hasWalk()

### walk

    public void walk()

### stepTaken

    public void stepTaken(BruteForceStepScope bruteForceStepScope)

  Specified by:
    `stepTaken` in interface `BruteForceSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `BruteForceSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.